# Get aggregate timeseries data

Retrieve timeseries data for one or more aggregates over a specified date range.
    
    Supported intervals: 10min, 30min, 1h, 3h, 1d, 1w, 1m, 1y
    Asset classes: cash, options
    
    Pagination:
    - page_number: Page to retrieve (starts at 1)
    - records_per_page: Number of records per page
    - Response includes pagination metadata with total_record_count, total_pages, and navigation

Endpoint: GET /aggregates/timeseries
Version: 1.0.0
Security: HTTPBearer

## Query parameters:

  - `aggregate_ids` (string, required)
    Comma-separated aggregate IDs (max 100)
    Example: "2000001,2000002,2000003"

  - `interval` (string)
    Time interval
    Enum: "10min", "30min", "1h", "3h", "1d", "1w", "1m", "1y"

  - `start_date` (string, required)
    Start date (ISO format)
    Example: "2024-01-01"

  - `end_date` (string)
    End date (ISO format, defaults to now)
    Example: "2024-12-31"

  - `asset_class` (string)
    Asset class
    Enum: "all", "cash", "options"

  - `type` (any)
    Options type filter (metadata only)

  - `notional` (any)
    Options notional filter (metadata only)

  - `moneyness` (any)
    Options moneyness filter (WHERE clause)

  - `size` (any)
    Options size filter (WHERE clause)

  - `records_per_page` (integer)
    Number of records per page

  - `page_number` (integer)
    Page number to retrieve

  - `order` (string)
    Sort order
    Enum: "asc", "desc"

## Response 200 fields (application/json):

  - `data` (array, required)
    Timeseries data points

  - `interval` (string, required)
    Time interval

  - `asset_classes` (array, required)
    Asset classes included

  - `count` (integer, required)
    Number of data points returned

  - `pagination` (any)
    Pagination metadata

  - `metadata` (object)
    Additional metadata

## Response 422 fields (application/json):

  - `detail` (array)

  - `detail.loc` (array, required)

  - `detail.msg` (string, required)

  - `detail.type` (string, required)


